
//funkce otestuje, zda zadana cesta je relativni a pokudu ano, predradi ji
//zadany absolutni adresar. Vraci vzdy absolutni cestu.

// ukazka: rel:='.\soubor.txt';
//         path:=RelToAbsFilename(rel,GEOGET_SCRIPTDIR);
//
//         rel:='"c:\Document and settings\soubor.txt"';
//         path:=RelToAbsFilename(rel,GEOGET_SCRIPTDIR);
//
//         rel:='.\folder\deeper\inside';
//         path:=RelToAbsPath(rel,GEOGET_SCRIPTDIR);
//
// verze 1.2 Gord
//       1.2.2 doplnena funkce FilenameFromText

const RELTOABSPATH_ZAKAZANE_ZANKY=' `~!?@%^&*+=:;,"<>''|/\';

function RelToAbsFilename(relFilename,startDir:string):string; //prevede relativni cestu a jmeno souboru na absolutni
var i:integer;                                        //cesta muze byt i v uvozovkach
begin
  i:=pos(':',relFilename);
  if((i=2) or (i=3)) then Result:=relFilename
  else begin
    Result:=startDir;
    if(copy(Result,length(Result),1)<>'\') then Result:=Result+'\';
    Result:=Result+relFilename;
  end;
end;

function RelToAbsPath(relDir,startDir:string):string; //prevede relativni cestu na absolutni
begin
  Result:=RelToAbsFilename(relDir,startDir);
  if(copy(Result,length(Result),1)<>'\') then Result:=Result+'\';
end;

function FilenameFromText(str:string):string;
var s:string;
  i,v:integer;
begin
  Result:='';
  v:=1;
  str:=LowerCase(str);
  for i:=1 to length(str) do
  begin
    s:=copy(str,i,1);
    if(pos(s,RELTOABSPATH_ZAKAZANE_ZANKY)>0) then v:=1
    else begin
      if(v=1) then Result:=Result+UpperCase(s)
      else Result:=Result+s;
      v:=0;
    end;
  end;
  Result:=Result;
end;
